Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 23 Jun 2021 02:06:23 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi there,
The items were due yesterday for delivery, however, the delivery driver called me several times to inform he was on the way however, he never came. I called him today and cannot understand a word of what he is saying- the communication is shockingly poor. 
I am deely unsatisfied by the level of service, and its a reminder why I have not ordered from you since my previous order bcos I had similar issue - i have not faced this issue with any other provider in Bahrain ever. 
Can you please urgently provide me with an update on where my items are please?! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2747825